unit StorageTypeFrm;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls;

type
  TStorageType = (stNone, stBinary, stText);

  TfmStorageType = class(TForm)
    bbBinary: TButton;
    bbText: TButton;
    procedure bbBinaryClick(Sender: TObject);
    procedure bbTextClick(Sender: TObject);
  private
    { Private declarations }
    FStorageType: TStorageType;
  public
    { Public declarations }
    property StorageType: TStorageType read FStorageType default stNone;
  end;

var
  fmStorageType: TfmStorageType;

implementation

{$R *.dfm}

procedure TfmStorageType.bbBinaryClick(Sender: TObject);
begin
  FStorageType := stBinary;
  Close;
end;

procedure TfmStorageType.bbTextClick(Sender: TObject);
begin
  FStorageType := stText;
  Close;
end;

end.
